%define _name control-center
%define ver_major 2.16

%def_enable debug

%def_disable alsa
%def_enable gstreamer

%def_enable aboutme
%def_disable static

Name: gnome-control-center
Version: %ver_major.3
Release: alt2

Summary: GNOME Control Center
License: GPL/LGPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

Obsoletes: %_name
Provides: %_name = %version-%release
Provides: gnome-settings-daemon = %version-%release

# From configure.in
%define gnome_vfs_ver 2.0.0
%define xft_ver 2.1.2
%define gtk_ver 2.8.12
%define libbonobo_ver 2.0.0
%define libgnomeui_ver 2.2.0
%define nautilus_ver 2.6.0
%define gnome_menu_ver 2.10.1
%define libxklavier_ver 2.91
# For vfs-methods
%define glib_ver 2.8.0
# For about-me capplet
%define eds_ver 1.7.90
# For HAL support
%define hal_ver 0.5.6
%define dbus_glib_ver 0.32
# For gstreamer support
%define gstreamer_ver 0.10.1.2

# libgnome 2.13.0 is needed because of file conflicts with older ones.
%define libgnome_ver 2.13.0
%define desktop_file_utils_ver 0.8

PreReq: GConf2
Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver
Requires: xscreensaver
# For /usr/share/gnome
Requires: gnome-filesystem
Requires: gnome-desktop
Requires: gnome-vfs >= %gnome_vfs_ver

# From configure.in
BuildPreReq: gnome-doc-utils
BuildPreReq: gnome-vfs-devel >= %gnome_vfs_ver
BuildPreReq: libXft-devel >= %xft_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libnautilus-devel >= %nautilus_ver
BuildPreReq: libX11-devel libXext-devel libXScrnSaver-devel libXt-devel libXxf86misc-devel
BuildPreReq: libgnome-menus-devel >= %gnome_menu_ver
BuildPreReq: libgnome-desktop-devel libdbus-glib-devel libxml2-devel libmetacity-devel libXft-devel libXi-devel libXrandr-devel libXcursor-devel
BuildPreReq: libxklavier-devel >= %libxklavier_ver
%{?_enable_aboutme:BuildPreReq: evolution-data-server-devel >= %eds_ver}
BuildPreReq: libhal-devel >= %hal_ver
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
%if_enabled gstreamer
BuildPreReq: gstreamer0.10-devel >= %gstreamer_ver
BuildPreReq: gst-plugins-devel >= %gstreamer_ver
%endif

BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver

%description
GNOME (the GNU Network Object Model Environment) is an attractive and
easy-to-use GUI desktop environment. The control-center package
provides the GNOME Control Center utilities that allow you to setup
and configure your system's GNOME environment (things like the desktop
background and theme, the screensaver, the window manager, system
sounds, and mouse behavior).

If you install GNOME, you need to install control-center.

%package devel
Summary: GNOME Control Center development files
Group: Development/GNOME and GTK+
Obsoletes: %_name-devel
Provides: %_name-devel = %version-%release
Requires: %name = %version-%release
Requires: libgnome-desktop-devel

%description devel

If you're interested in developing panels for the GNOME control center,
you'll want to install this package.

Control-center-devel helps you create the 'capplets' which are used in
the control center.

%package devel-static
Summary: GNOME control-center static libraries
Group: Development/GNOME and GTK+
Obsoletes: %_name-devel-static
Provides: %_name-devel-static = %version-%release
Requires: %name-devel = %version-%release

%description devel-static
Static libraries that could be used to develop GNOME Control Center
'capplets'.

%prep
%setup -q -n %_name-%version

# always run without nau.
%__subst 's,\(Exec=%name\),\1 --use-shell,' %_name/gnomecc.desktop*

# do not run update-desktop-database
%__subst 's,install-desktop-database$,,' vfs-methods/*/Makefile*

%build
%configure \
    --enable-vfs-methods \
    --enable-aboutme \
    %{subst_enable alsa} \
    %{subst_enable gstreamer} \
    %{subst_enable aboutme} \
    %{subst_enable debug} \
    %{subst_enable static} \
    --disable-schemas-install \
    --disable-scrollkeeper

# SMP-incompatible build
%make

%install
%makeinstall

%find_lang --output=files_list %_name-2.0

%define schemas apps_gnome_settings_daemon_default_editor apps_gnome_settings_daemon_keybindings apps_gnome_settings_daemon_screensaver desktop_gnome_font_rendering desktop_gnome_peripherals_keyboard_xkb fontilus themus
for s in %schemas; do
    echo "%%config %_sysconfdir/gconf/schemas/$s.schemas"
done >>files_list

%post
%post_ldconfig
%gconf2_install %schemas
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %schemas
fi

%postun
%postun_ldconfig
%clean_desktopdb

%files -f files_list
%_bindir/*
%_libexecdir/gnome-settings-daemon
%_libdir/*.so.*
%dir %_libdir/window-manager-settings
%_libdir/window-manager-settings/*.so
%_datadir/dbus-1/services/*.service
%_libdir/gnome-vfs-2.0/modules/*.so
%_libdir/nautilus/extensions-1.0/*.so
%_datadir/%_name-2.0
%_datadir/applications/*
%_datadir/desktop-directories/*
%_datadir/idl/*
%dir %_datadir/gnome-background-properties
%dir %_datadir/gnome-default-applications
%_datadir/gnome-default-applications/*
%dir %_datadir/gnome/cursor-fonts
%_datadir/gnome/cursor-fonts/*
%dir %_datadir/gnome/help/%_name
%_datadir/gnome/help/%_name/*
%_datadir/omf/%_name/*
%_iconsdir/hicolor/*
%_datadir/pixmaps/*
%config %_sysconfdir/gnome-vfs-2.0/modules/*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*.pc

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/window-manager-settings/*.a
%_libdir/gnome-vfs-2.0/modules/*.a
%endif

%exclude %_libdir/*/*.la
%exclude %_libdir/*/*/*.la
%exclude %_libdir/gnome-vfs-2.0/modules/*.la

%changelog
* Wed Apr 04 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt2
- introduced 'debug' switch.

* Thu Feb 01 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt1
- new version 2.16.3 (with rpmrb script)

* Wed Dec 27 2006 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt2
- rebuild with new dbus

* Thu Dec 21 2006 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt1
- new version 2.16.2 (with rpmrb script)

* Tue Oct 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt1
- new version 2.16.1 (with rpmrb script)

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt3
- enabled aboutme capplet
- let pkgconfig handle dependencies of the -devel subpackage.
- added gnome-filesystem as a container of /usr/share/gnome path.
- added /usr/share/gnome/help/control-center to the files list.
- gnome-settings-daemon now lives in plain %%_libexecdir

* Wed Sep 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt2
- removed spurious dependency on gnome-session.

* Tue Sep 05 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version 2.16.0.
- removed unneeeded dependency on kernel-headers.

* Fri Sep 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt3
- added dependency on gnome-session >= 2.15.92 due to transition from Bonobo to DBus.

* Wed Aug 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt2
- rebuilt with new gstreamer.

* Sun Aug 27 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt1
- new version 2.15.92 (with rpmrb script)

* Sat Aug 19 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt1
- new version (2.15.91)
- updated dependencies
- added 'aboutme' switch
- disabled about-me capplet, waiting for evolution-data-server >= 1.7.90
- replaced Bonobo with DBus for gnome-settings-daemon

* Sun Jul 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt2
- Bumped up the release to bump up the robot to build g-c-c with
  gstreamer-0.10.

* Wed May 31 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version 2.14.2 (with rpmrb script)

* Wed Apr 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version (2.14.1)
- removed Debian menu support.

* Wed Feb 22 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.92-alt1
- new version
- buildreqs revised

* Thu Feb 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.90-alt1
- new version

* Wed Feb 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5.1-alt2
- added switches for alsa and gstreamer.
- enabled aboutme capplet, themes:/// and fonts:/// uri schemes.

* Sun Jan 29 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5.1-alt1
- new version
- updated dependencies
- cleaned up the files list

* Mon Jan 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5-alt1
- new version

* Tue Jan 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.4-alt1
- new version

* Sat Nov 19 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.2-alt1
- new version
- %%exclude .la files instead of removing them before packaging.
- rewritten schemas installing, now changes of the schemas list won't go unnoticed by a maintainer.

* Mon Oct 24 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.1-alt1
- new version

* Tue Oct 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0

* Sun Sep 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92

* Wed Jul 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Tue Apr 05 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Thu Feb 10 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.91-alt1
- 2.9.91

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.4-alt1
- 2.9.4

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Wed Sep 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.1-alt1
- 2.7.1

* Fri Apr 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Thu Apr 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0.3-alt1
- 2.6.0.3

* Sat Mar 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Fri Feb 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Thu Feb 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt3
- fix GNOME_SettingsDaemon.server

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt2
- rebuild with libxklavier-0.97

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Sat Jan 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- do not package .la files.
- do not build %%name-devel-static subpackage by default.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Tue Jul 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt2
- remove %%preun with %%gconf2_uninstall.

* Mon Jul 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jun 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Thu May 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Fri Mar 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Wed Feb 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Thu Jan 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Thu Dec 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Sun Dec 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt2
- ugly theme_switcher updated from cvs.

* Sun Nov 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Fri Oct 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1.1-alt2
- Renamed to gnome-control-center.

* Sat Oct 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1.1-alt1.2
- Rebuild with new pango, gtk, gnome-desktop (soname changed).

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.1.1-alt1.1
- fixed %post script (Yuri don't use comma in %gconf2_install macros)

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1.1-alt1
- 2.0.1.1

* Fri Jul 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build control-center for GNOME2.
